<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till </header>
 *
 * @package Placester
 * @subpackage Allure
 * @since Placester 0.1
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="utf-8">
        <title><?php
        
        //
        // Print the <title> tag based on what is being viewed.
        //
        global $page, $paged;
        
        wp_title('|', true, 'right');
        
        // Add the blog name.
        bloginfo('name');
        
        // Add the blog description for the home/front page.
        $site_description = get_bloginfo('description', 'display');
        if ($site_description && ( is_home() || is_front_page()))
            echo " | $site_description";
        
        // Add a page number if necessary:
        if ($paged >= 2 || $page >= 2)
            echo ' | ' . sprintf('Page %s', max($paged, $page));
        
        ?></title>

        <?php wp_head(); ?>
        <!--[if lt IE 9]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->

    </head>
<body <?php body_class(); ?>>
<header id="lvl1">
    <div class="wrapper">
        <section class="lrpad10">
            <section class="placester-logo">
            <a href="/"><span class="logo"><?php echo (get_company_details()->name ? @substr(get_company_details()->name,0,16) : "Your Logo"); ?></span><br/><span class="slogan"><?php echo $site_description; ?></span></a>
            </section>
            <?php if (is_user_registered()): ?>
                <section class="phone">
                    <ul>
                        <li class="phone-bg-left"></li>
                        <li class="phone-bg-mid">Call : <?php  echo get_company_details()->phone; ?></li>
                        <li class="phone-bg-right"></li>
                    </ul>
                </section>                
            <?php endif ?>
                <nav class="main-nav">
                    <ul>
                        <li><a href="/">Home</a></li>
                        <li><a href="<?php echo @get_permalink(get_page_by_title('Search')->ID); ?>">Search</a></li>
                        <li><a href="<?php echo @get_permalink(get_page_by_title('Blog')->ID); ?>">Blog</a></li>
                        <li><a href="<?php echo @get_permalink(get_page_by_title('Contact')->ID); ?>">Contact</a></li>
                        <li><a href="<?php echo @get_permalink(get_page_by_title('About')->ID); ?>">About</a></li>
                    </ul>
                </nav>
            <div class="clr"></div>
        </section>
    </div><!-- end of wrapper -->
</header>
<section id="lvl2">
    <!-- slideshow section -->
    <div class="wrapper">
        <div id="slideshow-glow">
        </div>
    </div><!-- end of wrapper -->
</section>
<section id="lvl4">
    <!-- main container section -->
    <div class="wrapper">
        <section class="left-content">
