<?php
/**
 *  Attempts to create the following pages with the 
 *  selected template page
 *  
 *  If a page with the desired name already with 
 *  the desired name, the action is aborted.
 * 
 *  Designed to allow theme builders to provide "zero-setup"
 *  solutions to their clients. Rather than forcing clients 
 *  to walk through help documents trying to figure out how 
 *  to set up a simple page with a template.
 * 
 *
 * @package Allure
 * @since Placester 0.1
 */
if (is_admin() && $pagenow == "themes.php" ) {
    $page_list[] = array( 'title' => 'About', 'template' => 'allure-about.php' );
    $page_list[] = array( 'title' => 'Contact', 'template' => 'allure-contact.php' );
    $page_list[] = array( 'title' => 'Search', 'template' => 'allure-search.php' );
    $page_list[] = array( 'title' => 'Blog', 'template' => 'allure-blog.php' );
    if (function_exists('placester_create_pages')) {
        placester_create_pages( $page_list ); 
    }

} 

