<?php
/**
 * Template Name: Property Detail
 *
 * The template for "Property Details" page
 *
 * @package Placester
 * @subpackage Allure
 * @since Placester 0.1
 */
get_header();
?>
<?php $listing = get_property_details(); ?>
            <section class="content-list">
                <h3 class="blue"><?php echo @$listing->location->full_address; ?></h3>
                <h6><?php  echo $listing->description; ?></h6>
                <div class="details-thumb"><!--start of details-thumb-->
                    <section class="left-details"><!--Start of left-details-thumb-->
                        <?php if (!empty($listing->images)): ?>
                            <?php foreach ($listing->images as $image): ?>
                                <section class="details-thumb-size">
                                    <div class="thumbs">
                                        <img src="<?php echo $image->url; ?>" alt="" width=110px />
                                    </div>
                                    <div class="thumbs-shadow"></div>
                                </section>
                            <?php endforeach ?>        
                        <?php else: ?>
                            <section class="details-thumb-size">
                                <div class="thumbs">
                                    <img src="<?php echo get_bloginfo('template_url') ?>/backbone/images/null/property2-112-92.png" alt="" />
                                </div>
                                <div class="thumbs-shadow"></div>
                            </section>
                        <?php endif ?>                        

                        <div class="clr"></div>
                        <section class="details-info">
                            <h6>Basic</h6>
                            <ul class="basic-info">
                                <li>Bedrooms: <?php echo $listing->bedrooms; ?></li>
                                <li>Bathrooms: <?php echo $listing->bathrooms; ?></li>
                                <li>Rent: <?php echo $listing->price; ?></li>
                                <li>Available: <?php echo $listing->available_on ?></li>
                            </ul>
                            <h6>Amenities</h6>
                            <ul class="amenities-info">
                                <?php if (!empty($listing->amenities)): ?>
                                    <?php foreach ($listing->amenities as $amenity): ?>
                                        <li><?php echo $amenity; ?></li>
                                    <?php endforeach ?>
                                <?php else: ?>
                                        <p>No amenity information available.</p>
                                <?php endif ?>
                            </ul>
                        </section>
                    </section><!--end of left-details-thumb-->

                    <section class="right-details"><!--Start of right-details-thumb-->
                        <div class="thumbs">
                            <?php if (isset($listing->location->coords->latitude) && !empty($listing->location->coords->latitude)): ?>
                                <div id="property_details_map" style="height: 200px; width: 340px"></div>
                            <?php else: ?>
                                <img src="<?php echo get_stylesheet_directory_uri() ?>/images/null/map-343-222.png" />
                            <?php endif; ?>
                        </div>
                        <section class="desc-info">
                            <h6>Description</h6>
                            <p><?php echo $listing->description; ?></p>
                        </section>
                    </section>
                    <div class="clr"></div>
                </div><!--end of details-thumb-->
                <div class="clr"></div>
            </section>
            <section class="getstarted">
                <h3>Ready to get Started?</h3>
                <section class="gt-thumb-size">
                    <div class="thumbs">
                        <img src="<?php echo placester_get_user_details()->logo_url ?>" alt="" />
                    </div>
                    <div class="thumbs-shadow"></div>
                </section>
                <section class="gs-txt">
                    <span class="bigtxt"><?php  echo placester_get_user_details()->first_name . ' ' . placester_get_user_details()->last_name; ?></span><br/>
                    <span class="bigtxt blue"><strong><?php echo substr(placester_get_user_details()->phone, 0, 11); ?></strong></span><br/>
                    <span class="normaltxt"><?php echo substr(placester_get_user_details()->email, 0, 20); ?></span>
                </section>
                <div class="clr"></div>
            </section>
            <section class="desc-info2">
                <p><?php echo placester_get_user_details()->description; ?></p>
            </section>
<?php get_footer('details'); ?>

<?php if (isset($listing->location->coords->latitude) && !empty($listing->location->coords->latitude)): ?>
    <script type="text/javascript" charset="utf-8" src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <script type="text/javascript" charset="utf-8">
        var latLng = new google.maps.LatLng(<?php echo $listing->location->coords->latitude; ?>, <?php echo $listing->location->coords->longitude; ?>)
    	window.map = new google.maps.Map(document.getElementById("property_details_map"),
    	  {
    	    zoom: 14,
    	    center: latLng,
    		disableDefaultUI: true,
    	    mapTypeId: google.maps.MapTypeId.ROADMAP,
    	  });
	
	
    	setTimeout(function () {
    		var marker = new google.maps.Marker({
    			position: latLng,
    			map: window.map,
    		});
						
    	}, 500)   
    </script>
<?php endif ?>
